{
    num: -32103,
    accuracy: 100,
    basePower: 65,
    category: "Physical",
    name: "Phase Shift",
    pp: 15,
    priority: 4,
    flags: { contact: 1, protect: 1, mirror: 1, metronome: 1 },
    onTryHit(target, pokemon) {
      const action = this.queue.willMove(target);
      const move = action?.choice === "move" ? action.move : null;
      if (!move || move.priority <= 0.1 || move.category === "Status") {
        return false;
      }
    },
    selfSwitch: true,
    secondary: null,
    target: "normal",
    type: "Psychic"
}